Subject: [dtn-interest] New convergence layer proposal: draft-gernert-dtnrg-mailcl-00.txt

From: Björn Gernert <[email-masked]>
Date: Mon, 11 Mar 2013 13:41:47 +0100

Dear all

Today we submitted a version -00 of a new convergence layer, the Email
Convergence Layer. The draft specifies a protocol how to encode bundles
within a mail.

By submitting bundles through mail it is possible to deliver bundles to
offline nodes. As the node comes online again it may check its inbox to get
new bundles. At this moment the sending node may be offline or not
reachable. This allows communication in cases where two nodes will never be
online at the same time. Effectively this can leverage DTN storage capacity
in the internet using existing infrastructure without the need to deploy
Bundle Protocol Routers. 

Below is an ascii art teaser that show how this communication is done:

     Node A               SMTP/IMAP servers           Node B
     ======               =================           ======

+-----------------+
| Receives bundle |
| destined for B  |
+-----------------+
         ||
         \/
+-----------------+
| Retrieve email  |
|  address of B   |
+-----------------+
         ||
         \/
+-----------------+
|  Encode bundle  |
|    in email     |
+-----------------+
         ||
         \/
+-----------------+    +--------------------+
|  Send mail via  | -> | Accept email       |
|      SMTP       | -> | send to mailserver |
+-----------------+    | responsible for B  |
                       +--------------------+
                                 ||
                                 \/
                       +--------------------+    +-----------------+
                       |  Store email in    | <- | Check for new   |
                       |  INBOX of Node B   | -> | mails via IMAP  |
                       +--------------------+    +-----------------+
                                                         ||
                                                         \/
                       +--------------------+    +-----------------+
                       |  INBOX of Node B   | -> | Receive mails   |
                       |                    | -> |    via IMAP     |
                       +--------------------+    +-----------------+
                                                         ||
                                                         \/
                                                 +-----------------+
                                                 |  Decode Bundle  |
                                                 |    from email   |
                                                 +-----------------+

        Figure 2: Communication between two nodes using MCL

The draft is located here:

URL:
http://www.ietf.org/internet-drafts/draft-gernert-dtnrg-mailcl-00.txt
Status:    http://datatracker.ietf.org/doc/draft-gernert-dtnrg-mailcl
Htmlized:  http://tools.ietf.org/html/draft-gernert-dtnrg-mailcl-00

We appreciate any feedback on the concept and the clarity and contents of
the draft. We have a working prototype implementation for IBR-DTN. It is not
yet officially released, but if anybody wants to play with it, we can
provide you with the source.

Regards
Bjoern Gernert